# Namespace: internal

## Classes

- [AdminGetNotificationsParams](../classes/internal-12.AdminGetNotificationsParams.md)
- [AdminPostNotificationsNotificationResendReq](../classes/internal-12.AdminPostNotificationsNotificationResendReq.md)
- [Notification](../classes/internal-12.Notification.md)
- [NotificationProvider](../classes/internal-12.NotificationProvider.md)

## Type Aliases

### AdminNotificationsListRes

Ƭ **AdminNotificationsListRes**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `notifications` | [`Notification`](../classes/internal-12.Notification.md)[] |

#### Defined in

medusa/dist/api/routes/admin/notifications/index.d.ts:8

___

### AdminNotificationsRes

Ƭ **AdminNotificationsRes**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `notification` | [`Notification`](../classes/internal-12.Notification.md) |

#### Defined in

medusa/dist/api/routes/admin/notifications/index.d.ts:11
